env:
  node: true
  es2021: true
extends:
  - eslint:recommended
  - plugin:@typescript-eslint/eslint-recommended
  - plugin:@typescript-eslint/recommended
  - plugin:@typescript-eslint/recommended-requiring-type-checking
  - plugin:import/typescript
  - plugin:jsdoc/recommended
  - plugin:node/recommended
  - prettier

parser: '@typescript-eslint/parser'
parserOptions:
  ecmaVersion: 2020
  impliedStrict: true
  sourceType: module
  project: ./tsconfig.json
rules:
  linebreak-style:
    - error
    - unix
  prettier/prettier:
    - error
    -
      semi: false
      singleQuote: true
      printWidth: 150
  node/no-unsupported-features/es-syntax: 0
settings:
  node:
    tryExtensions:
      - .ts
      - .js
plugins:
  - jsdoc
  - ava
  - '@typescript-eslint'
  - prettier
